local _, NS = ...

local L = LibStub('AceLocale-3.0'):NewLocale(
    NS.addon.name,
    'enUS',
    --[[ isDefault= ]] true,
    --[[ silent= ]] false)

if L then

L['LOADED_FN'] = function(app_name)
  return NS.addon.name .. ' loaded'
end

L['SETTINGS_TAB'] = 'Settings'

L['SHOW_LOADED_MESSAGE'] = 'Show "loaded" message'
L['SHOW_LOADED_MESSAGE_DESC'] = 'Show the "loaded" message when the addon is loaded'
L['DEBUG'] = 'Display debug info in the default chat window'
L['DEBUG_DESC'] = 'Displays extra information useful for debugging in the default chat window'

L['EFFECT_TYPES'] = 'Effect Types'
L['EFFECT_TYPES_DESC'] = 'Choose the types of effects to announce.\n\nIt is highly encouraged to create different settings profiles (using the Profiles tab above) for various roles (e.g., "Physical Melee DPS", "Caster DPS", "Healer", etc.). That way only effect types that matter are announced (e.g., no one cares if a physical melee dps is silenced or if a caster/healer is disarmed).'
L['EFFECT_TYPE_CONFUSE'] = 'Confuse'
L['EFFECT_TYPE_CONFUSE_DESC'] = 'Complete loss of control and walking in random directions'
L['EFFECT_TYPE_DISARM'] = 'Disarm'
L['EFFECT_TYPE_DISARM_DESC'] = 'Unable to make attacks with weapons'
L['EFFECT_TYPE_FEAR'] = 'Fear'
L['EFFECT_TYPE_FEAR_DESC'] = 'Complete loss of control and running in random directions'
L['EFFECT_TYPE_PACIFY'] = 'Pacify'
L['EFFECT_TYPE_PACIFY_DESC'] = 'Unable to attack'
L['EFFECT_TYPE_POSSESS'] = 'Possess'
L['EFFECT_TYPE_POSSESS_DESC'] = 'Completely under the control of someone else'
L['EFFECT_TYPE_ROOT'] = 'Root'
L['EFFECT_TYPE_ROOT_DESC'] = 'Unable to move'
L['EFFECT_TYPE_SCHOOL_INTERRUPT'] = 'School Interrupt'
L['EFFECT_TYPE_SCHOOL_INTERRUPT_DESC'] = 'Unable to cast spells from a particular school'
L['EFFECT_TYPE_SILENCE'] = 'Silence'
L['EFFECT_TYPE_SILENCE_DESC'] = 'Unable to cast spells'
L['EFFECT_TYPE_STUN'] = 'Charm/Sleep/Stun'
L['EFFECT_TYPE_STUN_DESC'] = 'Complete loss of control and standing still'

-- Effect Message =
--     displayText + EFFECT_MESSAGE_FOR +
--     timeRemaning + EFFECT_MESSAGE_SECONDS
-- Example: "Stunned for 5 seconds"
L['EFFECT_MESSAGE_TEXT_FN'] = function(display_text, time_remaining_text)
  return display_text .. ' for ' .. time_remaining_text .. ' seconds'
end
L['EFFECT_MESSAGE_TIME_REMAINING_UNKNOWN'] = 'Unknown'
L['EFFECT_MESSAGE_SECONDS'] = ' seconds'
L['EFFECT_MESSAGE_SCHOOL_INTERRUPT_FN'] = function(school)
  return 'Locked out of ' .. school
end
L['EFFECT_MESSAGE_SCHOOL_PHYSICAL'] = 'Physical'
L['EFFECT_MESSAGE_SCHOOL_ARCANE'] = 'Arcane'
L['EFFECT_MESSAGE_SCHOOL_FIRE'] = 'Fire'
L['EFFECT_MESSAGE_SCHOOL_FROST'] = 'Frost'
L['EFFECT_MESSAGE_SCHOOL_HOLY'] = 'Holy'
L['EFFECT_MESSAGE_SCHOOL_NATURE'] = 'Nature'
L['EFFECT_MESSAGE_SCHOOL_SHADOW'] = 'Shadow'
L['EFFECT_MESSAGE_SCHOOL_UNKNOWN'] = 'Unknown School'

L['ANNOUNCE_CHANNELS'] = 'Announce Channel'
L['ANNOUNCE_CHANNELS_DESC'] = 'Choose the channel in which to announce loss of control effects.\n\nThe channels are in order of priority, so only the topmost channel that is both applicable and enabled will be used.'
L['ANNOUNCE_CHANNEL_BATTLEGROUND'] = 'Battleground'
L['ANNOUNCE_CHANNEL_BATTLEGROUND_DESC'] = 'Only applicable when in a battleground'
L['ANNOUNCE_CHANNEL_RAID'] = 'Raid'
L['ANNOUNCE_CHANNEL_RAID_DESC'] = 'Only applicable when in a raid group'
L['ANNOUNCE_CHANNEL_PARTY'] = 'Party'
L['ANNOUNCE_CHANNEL_PARTY_DESC'] = 'Only applicable when in a party/group'
L['ANNOUNCE_CHANNEL_YELL'] = 'Yell'
L['ANNOUNCE_CHANNEL_YELL_DESC'] = 'Only applicable when in an instance (technical limitation)'
L['ANNOUNCE_CHANNEL_SAY'] = 'Say'
L['ANNOUNCE_CHANNEL_SAY_DESC'] = 'Only applicable when in an instance (technical limitation)'
L['ANNOUNCE_CHANNEL_SYSTEM'] = 'System'
L['ANNOUNCE_CHANNEL_SYSTEM_DESC'] = 'Always applicable'
L['ANNOUNCE_CHANNEL_PRINT'] = 'Print'
L['ANNOUNCE_CHANNEL_PRINT_DESC'] = 'Always applicable\n(standard addon message to the default chat frame)'

end
