local _, NS = ...
NS.Utils = NS.Utils or {}

NS.Utils.map_from_arrays = function(key_array, value_array)
  if #key_array ~= #value_array then
    error('key_array and value_array must be the same length')
  end
  local map = {}
  for i, v in ipairs(key_array) do
    map[v] = value_array[i]
  end
  return map
end

NS.Utils.invert_map = function(map)
  local inverted_map = {}
  for k, v in pairs(map) do
    map[v] = k
  end
  return inverted_map
end

NS.Utils.find_value = function(tbl, val)
  for k, v in next, tbl do
    if v == val then
      return k
    end
  end
  return nil
end

NS.Utils.to_string = function(obj)
  local t = type(obj)
  if t == 'string' then
    return '"' .. obj .. '"'
  elseif t == 'table' then
    local str = '{'
    for k, v in next, obj do
      if str ~= '{' then
        str = str .. ', '
      end
      str = str .. NS.Utils.to_string(k) .. ': ' .. NS.Utils.to_string(v)
    end
    str = str .. '}'
    return str
  else
    return tostring(obj)
  end
end
